## GimpColorDisplay GimpColorDisplay |

## Functions

GimpColorDisplay * | gimp_color_display_new ()
GimpColorDisplay * | gimp_color_display_clone ()
void | gimp_color_display_set_enabled ()
gboolean | gimp_color_display_get_enabled ()
GimpColorConfig * | gimp_color_display_get_config ()
GimpColorManaged * | gimp_color_display_get_managed ()
void | gimp_color_display_convert ()
void | gimp_color_display_convert_surface ()
void | gimp_color_display_load_state ()
GimpParasite * | gimp_color_display_save_state ()
GtkWidget * | gimp_color_display_configure ()
void | gimp_color_display_configure_reset ()
void | gimp_color_display_changed ()

## Properties

GimpColorConfig * | color-config | Read / Write / Construct Only
GimpColorManagedInterface * | color-managed | Read / Write / Construct Only
gboolean | enabled | Read / Write / Construct

## Signals

void | changed | Run First

## Types and Values

| GimpColorDisplay

## Object Hierarchy

        GObject
        ╰── GimpColorDisplay

## Implemented Interfaces

GimpColorDisplay implements GimpConfigInterface.

## Description

## Functions

### gimp_color_display_new ()

    GimpColorDisplay *
    gimp_color_display_new (GType display_type);

`gimp_color_display_new` is deprecated and should not be used in newly-written code.

### gimp_color_display_clone ()

    GimpColorDisplay *
    gimp_color_display_clone (GimpColorDisplay *display);

### gimp_color_display_set_enabled ()

    void
    gimp_color_display_set_enabled (GimpColorDisplay *display,
                                    gboolean enabled);

### gimp_color_display_get_enabled ()

    gboolean
    gimp_color_display_get_enabled (GimpColorDisplay *display);

### gimp_color_display_get_config ()

    GimpColorConfig *
    gimp_color_display_get_config (GimpColorDisplay *display);

Since: GIMP 2.4

### gimp_color_display_get_managed ()

    GimpColorManaged *
    gimp_color_display_get_managed (GimpColorDisplay *display);

Since: GIMP 2.4

### gimp_color_display_convert ()

    void
    gimp_color_display_convert (GimpColorDisplay *display,
                                guchar *buf,
                                gint width,
                                gint height,
                                gint bpp,
                                gint bpl);

`gimp_color_display_convert` is deprecated and should not be used in newly-written code.

GIMP 2.8: Use `gimp_color_display_convert_surface()` instead.

### gimp_color_display_convert_surface ()

    void
    gimp_color_display_convert_surface (GimpColorDisplay *display,
                                        cairo_surface_t *surface);

Since: GIMP 2.8

### gimp_color_display_load_state ()

    void
    gimp_color_display_load_state (GimpColorDisplay *display,
                                   GimpParasite *state);

### gimp_color_display_save_state ()

    GimpParasite *
    gimp_color_display_save_state (GimpColorDisplay *display);

### gimp_color_display_configure ()

    GtkWidget *
    gimp_color_display_configure (GimpColorDisplay *display);

### gimp_color_display_configure_reset ()

    void
    gimp_color_display_configure_reset (GimpColorDisplay *display);

### gimp_color_display_changed ()

    void
    gimp_color_display_changed (GimpColorDisplay *display);

## Types and Values

### GimpColorDisplay

    typedef struct _GimpColorDisplay GimpColorDisplay;

## Property Details

### The `“color-config”` property

      “color-config”             GimpColorConfig *

Flags: Read / Write / Construct Only

### The `“color-managed”` property

      “color-managed”            GimpColorManagedInterface *

Flags: Read / Write / Construct Only

### The `“enabled”` property

      “enabled”                  gboolean

Flags: Read / Write / Construct

Default value: TRUE

## Signal Details

### The `“changed”` signal

    void
    user_function (GimpColorDisplay *gimpcolordisplay,
                   gpointer          user_data)

Flags: Run First